# Error compiling sane 0.62 on AIX 4.1

Rogan Dawes (rdawes@jhbelec.co.za)
Wed, 6 Aug 1997 14:13:57 +0200

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Michael K. Johnson: "Re: COOLSCAN II backend"
- Previous message: Michael Sweet: "Re: Paperport ix - scanner keyboard"
- Next in thread: David Mosberger-Tang: "Re: Error compiling sane 0.62 on AIX 4.1"
- Reply: David Mosberger-Tang: "Re: Error compiling sane 0.62 on AIX 4.1"

Hi folks.

I am having a little bit of trouble compiling sane 0.62 on AIX 4.1.

First off, autoconf seems to have a problem :

checking whether gcc accepts -g... yes
./configure[743]: AM_PROG_RANLIB: not found
checking for a BSD compatible install... /usr/bin/installbsd -c

Then, there are a couple of warnings when I compile :

gcc -c -DHAVE_CONFIG_H -I. -I. -I../include/sane -I../include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=62 -g -O2
-Wall -DPIC getopt.c
getopt.c: In function `_getopt_initialize':
getopt.c:354: warning: implicit declaration of function `getpid'
getopt.c: In function `_getopt_internal':
getopt.c:559: warning: implicit declaration of function `strncmp'
getopt.c:546: warning: `indfound' might be used uninitialized in this
function

gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=62 -g -O2
-Wall -DPIC sanei_constrain_value.c
sanei_constrain_value.c: In function `sanei_constrain_value':
sanei_constrain_value.c:99: warning: implicit declaration of function
`strncasecmp'

gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include -D_GNU_SOURCE
-DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=62 -g -O2
-Wall -DPIC sanei_scsi.c
sanei_scsi.c: In function `sanei_scsi_req_enter':
sanei_scsi.c:784: warning: control reaches end of non-void function
sanei_scsi.c: In function `sanei_scsi_req_wait':
sanei_scsi.c:789: warning: control reaches end of non-void function
sanei_scsi.c: At top level:
sanei_scsi.c:126: warning: `cam_fd' defined but not used
sanei_scsi.c:136: warning: `cdb_sizes' defined but not used

ld: 0711-415 WARNING: Symbol sanei_debug_hp is already exported.

gcc -c -g -O2 -Wall -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=62
-DBACKEND_NAME=mustek -DLIBDIR=/usr/local/lib -DPIC mustek.c
mustek.c: In function `attach':
mustek.c:352: warning: implicit declaration of function `strndup'
mustek.c:352: warning: assignment makes pointer from integer without a
cast

ld: 0711-415 WARNING: Symbol sanei_debug_mustek is already exported.

gcc -c -g -O2 -Wall -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=0 -DV_MINOR=62
-DBACKEND_NAME=net -DLIBDIR=/usr/local/lib -DPIC net.c
net.c: In function `sane_net_init':
net.c:340: warning: implicit declaration of function `strsep'
net.c:340: warning: assignment makes pointer from integer without a cast
net.c: In function `sane_net_start':
net.c:748: warning: passing arg 3 of `ngetpeername' from incompatible
pointer type

ld: 0711-415 WARNING: Symbol sanei_debug_net is already exported.

ld: 0711-415 WARNING: Symbol sanei_debug_pnm is already exported.

And then it dies with :

rm -f .libs/libsane-umax.*
/bin/nm -B umax.o umax-s.o sane_strstatus.o ../sanei/sanei_init_debug.o
../lib/alloca.o ../lib/getopt.o ../lib/getopt1.o ../lib/snprintf.o
../lib/strndup.o ../lib/strsep.o ../lib/usleep.o
../sanei/sanei_constrain_value.o ../sanei/sanei_scsi.o | egrep " [BD] "
| sed "s/^.* //" > .libs/libsane-umax.so.0.0.62.exp
gcc -o .libs/libsane-umax.so.0 umax.o umax-s.o sane_strstatus.o
../sanei/sanei_init_debug.o ../lib/alloca.o ../lib/getopt.o
../lib/getopt1.o ../lib/snprintf.o ../lib/strndup.o ../lib/strsep.o
../lib/usleep.o ../sanei/sanei_constrain_value.o ../sanei/sanei_scsi.o
-Wl,-bE:.libs/libsane-umax.so.0.0.62.exp -Wl,-bM:SRE -Wl,-bnoentry
collect2: ld returned 8 exit status
ld: 0711-415 WARNING: Symbol sanei_debug_umax is already exported.
ld: 0711-317 ERROR: Undefined symbol: .pow
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more
information.
make[1]: *** [libsane-umax.la] Error 1
make[1]: Leaving directory `/usr/local/src/sane-0.62/backend'
make: *** [all-recursive] Error 1

Does anyone have any suggestions ?

Thanks

Rogan

    --
    Rogan Dawes  rdawes@jhbelec.co.za   Tel: (011) 490-7379  Fax: (011) 490-7327
    - The software said it requires Windows 3.1 or better, so I installed Linux -

    --
    Source code, list archive, and docs: http://www.azstarnet.com/~axplinux/sane/
    To unsubscribe: mail -s unsubscribe sane-devel-request@listserv.azstarnet.com

     Next message: Michael K. Johnson: "Re: COOLSCAN II backend"
     Previous message: Michael Sweet: "Re: Paperport ix - scanner keyboard"

     Next in thread: David Mosberger-Tang: "Re: Error compiling sane 0.62 on AIX 4.1"
     Reply: David Mosberger-Tang: "Re: Error compiling sane 0.62 on AIX 4.1"